/* Reset стилі для основних елементів */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* Загальні стилі для сторінки */
body {
  font-family: Arial, sans-serif;
  line-height: 1.5;
  background-color: #f9f9f9;
}

.container {
  max-width: 1200px;
  margin: 0 auto;
  padding: 20px;
}

/* Стилі для заголовків */
h1, h2, h3 {
  color: #333;
  margin-bottom: 10px;
}

/* Стилі для навігаційного меню */
nav {
  background-color: #333;
}

nav ul {
  list-style: none;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 10px 0;
}

nav ul li img {
  width: 15vw;
}

nav ul li {
  margin: 0 10px;
}

nav ul li a {
  color: #fff;
  text-decoration: none;
  padding: 5px 10px;
}

.nav-push {
  margin-left: auto;
}

/* Стилі для головного екрану */
#hero {
  background-image: url('hero-bg.jpg');
  background-size: cover;
  background-position: center;
  height: 500px;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  color: #fff;
}

.hero-content {
  display: flex;
  flex-direction: column;
  width: 1200px;
  align-items: center;
}

#hero h1 {
  font-size: 48px;
  margin-bottom: 10px;
}

#hero h2 {
  font-size: 24px;
  margin-bottom: 20px;
}

.btn {
  display: inline-block;
  background-color: #ff5500;
  color: #fff;
  text-decoration: none;
  padding: 10px 20px;
  border-radius: 5px;
  transition: background-color 0.3s ease;
}

.btn:hover {
  background-color: #e64100;
}

/* Стилі для розділу "Про нас" */
#about {
  background-color: #fff;
  padding: 50px 0;
}

#about p {
  margin-bottom: 20px;
}

/* Стилі для розділу "Наші курси" */
.course {
  margin-bottom: 30px;
}

.course img {
  width: 100%;
  max-height: 200px;
  object-fit: cover;
  border-radius: 5px;
}

.course h3 {
  font-size: 24px;
  margin-top: 10px;
  margin-bottom: 5px;
}

.course p {
  margin-bottom: 10px;
}

/* Стилі для розділу "Зв'яжіться з нами" */
#contact {
  background-color: #f9f9f9;
  padding: 50px 0;
}
.challenges-title{
  margin-bottom: 50px;
}
.challenge-red{
  background-color: #FE5E23;
  color: #fff;
}
.challenge-white{
  background-color:#FFFFFF;
}
.challenges{
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  flex-wrap: wrap;
  gap: 40px;
  margin-bottom: 75px;
}
.challenge{
  max-width: 350px;
  padding: 15px;
  border-radius: 10px;
  box-shadow: 0 0 15px black;
}

form input,
form textarea {
  width: 100%;
  padding: 10px;
  margin-bottom: 10px;
  border-radius: 5px;
  border: 1px solid #ccc;
}

form button {
  background-color: #ff5500;
  color: #fff;
  padding: 10px 20px;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

form button:hover {
  background-color: #e64100;
}

/* Стилі для підвалу */
footer {
  background-color: #333;
  color: #fff;
  padding: 20px 0;
  text-align: center;
}

footer p {
  margin: 0;
}

/* Нові стилі для доданих елементів */


.telegram-link {
  text-align: center;
  color: #fff;
  font-size: 30px !important;
  text-decoration: none;
  display: inline;
  padding: 5px 15px;
}

.telegram-button:hover {
  box-shadow: 0px 0px 20px #333;
  font-size: 32px !important;
}

.telegram-button {
  display: flex;
  background-color: #0088cc;
  color: #fff;
  text-decoration: none;
  padding: 10px 20px;
  margin: 0  auto;
  text-align: center;
  border-radius: 50px;
  font-size: 16px;
  transition: 0.2s ;
  justify-content: center;
  align-items: center;
}

.telegram-button:hover {
  background-color: #005580;
}

@media only screen and (max-width: 600px) {
  .telegram-button {
      display: block;
      width: 100%;
  }
}
